MoreParserInternal::SubDocument Class Reference documentation

MoreParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a MoreParser. More...

Inheritance diagram for MoreParserInternal::SubDocument:

## Public Member Functions
| SubDocument (MoreParser &pars, MWAWInputStreamPtr const &input)
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Additional Inherited Members
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Detailed Description

Internal: the subdocument of a MoreParser.

## Constructor & Destructor Documentation

## ◆ SubDocument()

MoreParserInternal::SubDocument::SubDocument | ( | MoreParser & | pars,
|  | MWAWInputStreamPtr const & | input )
| inline

Referenced by operator!=().

## ◆ ~SubDocument()

MoreParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## Member Function Documentation

## ◆ operator!=()

bool MoreParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| inlinefinalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ parse()

void MoreParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| finalvirtual

the parser function

Implements MWAWSubDocument.

The documentation for this class was generated from the following file:

- MoreParser.cxx